#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import quixote
from quixote import get_context
import quixote.setup.shell as shell


@quixote.builder
def install_beautifulsoup():
    shell.command("pip3 install beautifulsoup4")


@quixote.fetcher
def fetch_by_copying():
    import os
    import shutil

    resources_path = get_context()["resources_path"]
    delivery_path = get_context()["delivery_path"]
    os.mkdir(delivery_path)
    shutil.copy(os.path.join(resources_path, "index.html"), os.path.join(delivery_path, "index.html"))


blueprint = quixote.Blueprint(
    name="web_pool_day_01_stage_01",
    author="Clément Doumergue",
    inspection_file="inspectors.py"
)
